> For the complete documentation index, see [llms.txt](https://docs.blockpi.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.blockpi.io/build/api-reference/starknet/starknet_blocknumber.md).

# starknet\_blockNumber

Get the most recent accepted block number

#### **Parameters:**

**None**

#### **Returns:**

The latest block number

#### Example:

{% code overflow="wrap" %}

```json
// Request
curl https://starknet.blockpi.network/v1/rpc/your-rpc-key -X POST -H "Content-Type: application/json" --data '{"jsonrpc":"2.0","method":"starknet_blockNumber","params":[],"id":0}'

// Result
{
    "id": 0,
    "jsonrpc": "2.0",
    "result": 472483
}
```

{% endcode %}
